{
    "$graph": [
        {
            "label": "gpx_make_outputs",
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "baseCommand": "gpx_make_outputs",
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_make_outputs.cwl/input_path"
                },
                {
                    "type": "int",
                    "default": 32,
                    "inputBinding": {
                        "prefix": "-num-partitions"
                    },
                    "id": "#gpx_make_outputs.cwl/num_partitions"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_make_outputs.cwl/output"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#gpx_make_outputs.cwl/output_glob"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "*",
                    "inputBinding": {
                        "prefix": "-unzip"
                    },
                    "id": "#gpx_make_outputs.cwl/unzip"
                }
            ],
            "id": "#gpx_make_outputs.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_glob)"
                    },
                    "id": "#gpx_make_outputs.cwl/output_file"
                }
            ]
        },
        {
            "label": "kmer_compare_wnode",
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "baseCommand": "kmer_compare_wnode",
            "inputs": [
                {
                    "type": "string",
                    "default": "outdir",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#kmer_compare_wnode.cwl/O"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-dist-method"
                    },
                    "id": "#kmer_compare_wnode.cwl/dist_method"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#kmer_compare_wnode.cwl/jobs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-minhash-signature"
                    },
                    "id": "#kmer_compare_wnode.cwl/minhash_signature"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-score-method"
                    },
                    "id": "#kmer_compare_wnode.cwl/score_method"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.O)"
                    },
                    "id": "#kmer_compare_wnode.cwl/outdir"
                }
            ],
            "id": "#kmer_compare_wnode.cwl"
        },
        {
            "label": "submit_kmer_compare",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "kmer_file_list.mft",
                            "entry": "${\n  var blob = '';\n  for (var i = 0; i < inputs.kmer_file_list.length; i++) {\n      blob += inputs.kmer_file_list[i].path + '\\n';\n  }\n  return blob;\n}\n"
                        },
                        {
                            "entryname": "ref_kmer_file_list.mft",
                            "entry": "${\n  var blob = '';\n  for (var i = 0; i < inputs.ref_kmer_file_list.length; i++) {\n      blob += inputs.ref_kmer_file_list[i].path + '\\n';\n  }\n  return blob;\n}\n"
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#submit_kmer_compare.cwl/kmer_file_list"
                },
                {
                    "type": "string",
                    "default": "kmer_file_list.mft",
                    "inputBinding": {
                        "prefix": "-kmer-files-manifest"
                    },
                    "id": "#submit_kmer_compare.cwl/kmer_files_manifest"
                },
                {
                    "type": "string",
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#submit_kmer_compare.cwl/o"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "File"
                        }
                    ],
                    "id": "#submit_kmer_compare.cwl/ref_kmer_file_list"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "ref_kmer_file_list.mft",
                    "inputBinding": {
                        "prefix": "-ref-kmer-files-manifest"
                    },
                    "id": "#submit_kmer_compare.cwl/ref_kmer_files_manifest"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.o)"
                    },
                    "id": "#submit_kmer_compare.cwl/output"
                }
            ],
            "id": "#submit_kmer_compare.cwl"
        },
        {
            "label": "kmer_compare_wnode",
            "class": "Workflow",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/dist_method"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#main/kmer_file_list"
                },
                {
                    "type": "string",
                    "id": "#main/minhash_signature"
                },
                {
                    "type": "string",
                    "id": "#main/score_method"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/gpx_make_outputs/output_file",
                    "id": "#main/distances"
                }
            ],
            "steps": [
                {
                    "run": "#gpx_make_outputs.cwl",
                    "in": [
                        {
                            "source": "#main/kmer_compare_wnode/outdir",
                            "id": "#main/gpx_make_outputs/input_path"
                        },
                        {
                            "default": 1,
                            "id": "#main/gpx_make_outputs/num_partitions"
                        },
                        {
                            "default": "distances.##.gz",
                            "id": "#main/gpx_make_outputs/output"
                        },
                        {
                            "default": "distances.*.gz",
                            "id": "#main/gpx_make_outputs/output_glob"
                        }
                    ],
                    "out": [
                        "#main/gpx_make_outputs/output_file"
                    ],
                    "id": "#main/gpx_make_outputs"
                },
                {
                    "run": "#kmer_compare_wnode.cwl",
                    "in": [
                        {
                            "source": "#main/dist_method",
                            "id": "#main/kmer_compare_wnode/dist_method"
                        },
                        {
                            "source": "#main/submit_kmer_compare/output",
                            "id": "#main/kmer_compare_wnode/jobs"
                        },
                        {
                            "source": "#main/minhash_signature",
                            "id": "#main/kmer_compare_wnode/minhash_signature"
                        },
                        {
                            "source": "#main/score_method",
                            "id": "#main/kmer_compare_wnode/score_method"
                        }
                    ],
                    "out": [
                        "#main/kmer_compare_wnode/outdir"
                    ],
                    "id": "#main/kmer_compare_wnode"
                },
                {
                    "run": "#submit_kmer_compare.cwl",
                    "in": [
                        {
                            "source": "#main/kmer_file_list",
                            "id": "#main/submit_kmer_compare/kmer_file_list"
                        }
                    ],
                    "out": [
                        "#main/submit_kmer_compare/output"
                    ],
                    "id": "#main/submit_kmer_compare"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
